package com.xhpc.activity.mapper;

import com.xhpc.activity.domain.XhpcWorkStationDomain;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface XhpcWorkStationMapper {

    List<XhpcWorkStationDomain> selectListByParams(@Param("params") Map params);

    List<Map<String, Object>> selectMapListByParams(@Param("params") Map params);

    XhpcWorkStationDomain selectByName(@Param("stationName") String stationName);

    int deleteByPrimaryKey(Long workStationId);

    int insert(XhpcWorkStationDomain record);

    int insertBatch(@Param("domainList") List<XhpcWorkStationDomain> domainList);

    List<XhpcWorkStationDomain> selectBySerialNumbers(@Param("serialNumbers")String serialNumbers);

    XhpcWorkStationDomain selectBySerialNumber(@Param("serialNumber")String serialNumbers);

    int insertSelective(XhpcWorkStationDomain record);

    XhpcWorkStationDomain selectByPrimaryKey(Long workStationId);

    int updateByPrimaryKeySelective(XhpcWorkStationDomain record);

    int updateByPrimaryKey(XhpcWorkStationDomain record);
}